* [LTP] [PATCH] Fixed mon_fsstatd.sh
@ 2019-03-05 13:30 Elif Aslan
2019-03-05 13:43 ` Cyril Hrubis
0 siblings, 1 reply; 2+ messages in thread
From: Elif Aslan @ 2019-03-05 13:30 UTC (permalink / raw)
To: ltp
---
testcases/commands/cpuplugd/mon_fsstatd.sh | 14 ++++++++++++--
1 file changed, 12 insertions(+), 2 deletions(-)
diff --git a/testcases/commands/cpuplugd/mon_fsstatd.sh b/testcases/commands/cpuplugd/mon_fsstatd.sh
index 0a8d5b8c2..fdbd3ee3d 100644
--- a/testcases/commands/cpuplugd/mon_fsstatd.sh
+++ b/testcases/commands/cpuplugd/mon_fsstatd.sh
@@ -135,13 +135,23 @@ mon_fsstatd_test1()
mon_fsstatd_run 0 "mon_procd -i 30"
sleep 2
- mon_fsstatd_run 0 "mon_procd -a &"
+ mon_procd -a &
+ if [ "$?" -eq "0" ]; then
+ tst_res TPASS "'mon_procd -a' returned 0"
+ else
+ tst_res TFAIL "'mon_procd -a' did not return 0"
+ fi
sleep 2
mon_fsstatd_run 0 "killall mon_procd"
sleep 2
- mon_fsstatd_run 0 "mon_fsstatd -a &"
+ mon_fsstatd -a &
+ if [ "$?" -eq "0" ]; then
+ tst_res TPASS "'mon_fsstatd -a' returned 0"
+ else
+ tst_res TFAIL "'mon_fsstatd -a' did not return 0"
+ fi
sleep 2
mon_fsstatd_run 0 "killall mon_fsstatd"
--
2.17.2 (Apple Git-113)
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [LTP] [PATCH] Fixed mon_fsstatd.sh
2019-03-05 13:30 [LTP] [PATCH] Fixed mon_fsstatd.sh Elif Aslan
@ 2019-03-05 13:43 ` Cyril Hrubis
0 siblings, 0 replies; 2+ messages in thread
From: Cyril Hrubis @ 2019-03-05 13:43 UTC (permalink / raw)
To: ltp
Hi!
I suppose that this should be applied over the cpuhotplug patch, right?
In that case, as that pach wasn't applied yet, you should have send v2
patchset for the original patch with this changes included.
--
Cyril Hrubis
chrubis@suse.cz
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2019-03-05 13:43 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-03-05 13:30 [LTP] [PATCH] Fixed mon_fsstatd.sh Elif Aslan
2019-03-05 13:43 ` Cyril Hrubis
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.